@import "../../_mixins.scss";

.site-settings-container {
  display: flex;
  flex-direction: column;
  position: relative;
  background-color: var(--tile-bg);
  .horizontal-tabs-container .horizontal-tabs .tab-link {
    padding: 10px 35px;
    font-weight: 600;
  }

  .fire-report-settings {
    .fire-settings-loader {
      position: fixed;
      top: 50%;
      z-index: 5;
      left: 0%;
    }
    .fire-setting-row {
      display: flex;
      position: relative;
      padding-right: 5%;
    }
    .fire-setting-save {
      margin: 20px 0 30px 20px;
    }
  }

  .task-status {
    margin: 0 auto;
    text-align: center;
    font-size: var(--font-l);
    color: var(--pm-warning);
    font-weight: 600;
    margin-top: 5px;
  }

  .sites-listing-container {
    position: relative;
    .site-setting-add-site {
      position: absolute;
      top: 15px;
      z-index: 1;
      right: 10px;
    }

    .sites-list-loader {
      position: absolute;
      z-index: 2;
      top: 50%;
    }

    .sites-list.infinite-list-component {
      background: white;

      .top-action {
        padding: 15px 10px;
        .custom-search.custom-search-outside {
          width: 300px;
        }
      }

      .header {
        padding: 15px 20px 15px 15px;
        display: grid;
        grid-template-rows: auto;
        border-bottom: solid 1px #d3dde0;
        grid-template-columns: 1fr 1.25fr 0.75fr 0.75fr 0.5fr;

        .cell {
          padding: 0;
          color: #333;
          font-weight: 600;
          font-size: var(--font-s);
        }
        .sites-header-title {
          cursor: pointer;
          font-weight: 600;
        }
      }

      .row-panel.even {
        background: #d9d9d91f;
      }

      .row-panel {
        display: grid;
        grid-template-rows: auto;
        padding: 10px 15px;
        border-bottom: 1px solid #eef2f5;
        grid-template-columns: 1fr 1.25fr 0.75fr 0.75fr 0.5fr;
        .cell {
          line-height: 3;
          font-weight: 500;
          padding: 0;
          font-size: var(--font-s);
        }
        .hide-overflow-width {
          display: flex;
          justify-content: left;
          overflow: hidden;
          .ellipsis-text {
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
            width: 85%;
          }
        }
      }
      .icon-col {
        display: flex;
        justify-content: center;
        width: 80px;
        .custom-site-icon {
          width: 24px;
        }
      }
      .configured-sites-actions {
        display: flex;
        align-items: center;
        justify-content: space-evenly;
        .edit-btn {
          margin: 0;
          border-radius: 4px;
          border: none;
          background: url(/assets/new-icons/edit_pencil.svg) center no-repeat;
          background-color: #f3f3f3;
          &:hover,
          &:focus,
          &:active:hover,
          &:active:focus,
          &:hover:focus,
          &:active {
            border: none;
            background: url(/assets/new-icons/edit_pencil.svg) center no-repeat;
            background-size: 18px;
            background-color: #dfdfdf;
          }
        }
        .confirm-help-icon {
          display: flex;
        }
      }
    }

    #siteSettingsList {
      @include small_scroll();
    }
    .custom-sites-list.sites-list.infinite-list-component {
      .header,
      .row-panel {
        grid-template-columns: 1fr 0.75fr 1.25fr 0.75fr 0.75fr 80px 0.5fr;
      }
    }
  }
}

.create-site-modal {
  padding: 10px 0;
  .modal-body {
    padding: 0 !important;
    .add-site__body {
      display: flex;
      flex-wrap: wrap;
    }
  }
}

#SiteSyncErrors {
  max-height: 70vh;
}
